This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 682718 - Indic text overlapping when exported as pdf
Indic text overlapping when exported as pdf
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-07 06:47 EST by Jaswinder Singh
Modified: 2013-03-03 21:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-27 06:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
libreoffice-calc print (60.08 KB, image/png)
2011-03-07 06:49 EST, Jaswinder Singh
no flags Details
libreoffice-impress print (245.54 KB, image/png)
2011-03-07 06:52 EST, Jaswinder Singh
no flags Details
libreoffice-writer print (180.40 KB, image/png)
2011-03-07 06:55 EST, Jaswinder Singh
no flags Details
orignal-text (87.40 KB, image/png)
2011-03-07 09:16 EST, Jaswinder Singh
no flags Details
Exported pdf (13.13 KB, application/pdf)
2011-03-07 09:18 EST, Jaswinder Singh
no flags Details
how it looks for me (21.73 KB, application/pdf)
2011-03-16 12:38 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Jaswinder Singh 2011-03-07 06:47:33 EST
Description of problem: When printing localized matter in libreoffice (writer, calc, impress) overlapping of characters is happened.


Version-Release number of selected component (if applicable): 3.3.1.2-1


How reproducible: open applications libreoffice (writer, calc, impress)
copy and past contents from http://5abi.com/2011-pubs/015-malva-chona-hgoel-210211.htm

Print the page (I tried in pdf)


Steps to Reproduce:
1.
2.
3.
  
Actual results: characters overlapping


Expected results: overlapping should not happen


Additional info:
Comment 1 Jaswinder Singh 2011-03-07 06:49:43 EST
Created attachment 482652 [details]
libreoffice-calc print
Comment 2 Jaswinder Singh 2011-03-07 06:52:23 EST
Created attachment 482654 [details]
libreoffice-impress print
Comment 3 Jaswinder Singh 2011-03-07 06:55:54 EST
Created attachment 482655 [details]
libreoffice-writer print
Comment 4 David Tardon 2011-03-07 07:36:07 EST
Could you point to us any instance of overlapping characters in either of the texts? I'd rather not play "find the difference" with the PDF-exported version and the original...
Comment 5 Jaswinder Singh 2011-03-07 09:13:39 EST
(In reply to comment #4)
> Could you point to us any instance of overlapping characters in either of the
> texts? I'd rather not play "find the difference" with the PDF-exported version
> and the original...

Sorry for misunderstanding, It is not in printing but while exporting pdf.
I am attaching orignal text file and exported pdf file in which overlapping is happening.
Comment 6 Jaswinder Singh 2011-03-07 09:16:36 EST
Created attachment 482686 [details]
orignal-text
Comment 7 Jaswinder Singh 2011-03-07 09:18:28 EST
Created attachment 482687 [details]
Exported pdf
Comment 8 Caolan McNamara 2011-03-16 12:38:40 EDT
Created attachment 485787 [details]
how it looks for me
Comment 9 Caolan McNamara 2011-03-16 12:40:38 EDT
It sort of looks like it might be related to some glyph/font fallback problem, but I can't reproduce it here.

Can you...

a) attach a .odt here which reproduce it for you
b) attach the output of fc-list -v > /tmp/fontlist.txt
Comment 10 Caolan McNamara 2011-03-16 12:41:57 EDT
oh, and the output of 
c) locale
as well please, the locale can have an effect on the glyph/font fallback
Comment 11 David Tardon 2011-10-27 06:02:26 EDT
feel free to reopen if you can supply the requested information

Note You need to log in before you can comment on or make changes to this bug.